Core - Task # 55661

Epic # 55070 (Accepted): Workpackages

Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)

Epic # 55656 (Accepted): Optimize overall Extbase performance
Story # 55168 (Accepted): Optimize Extbase generic persistence
Task # 55167 (Resolved): Extbase: avoid parseQuery() / buildQuery() to be called multiple times

Status: Resolved Priority: Must have
Author: Felix Oertel Category: Extbase
Created: 2014-02-04 Assigned To: Felix Oertel
Updated: 2014-06-27 Due date: 2014-03-20
TYPO3 Version: 6.2

PHP Version:

Complexity: hard

Sprint Focus:

Subject: Add functional tests for extbase persistence

Description

There should be functional tests for all the standard operations in extbase's persistence like add, select, update and delete.

Associated revisions

Revision cf42649b - 2014-03-12 14:34 - Felix Oertel

[TASK] Add functional tests for generic persistence

To backup the changes in Extbase's generic persistence,

we add some functional tests.

Resolves: #55661

Related: #55360

Related: #55167

Releases: 6.2

Change-Id: 10b845618b1cec9788ca36ac59e25ea6779f01cb6
Reviewed-on: https://review.typo3.org/28262

Reviewed-by: Marc Bastian Heinrichs
Tested-by: Marc Bastian Heinrichs
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

Revision 57caf5a4 - 2014-03-12 14:53 - Ernesto Baschny

[TASK] Follow-up to "Add functional tests for generic persistence"

Test directory changed from "Relation" to "Persistence".

Resolves: #55661

Related: #55360

Related: #55167
Releases: 6.2
https://review.typo3.org/28262

Change-Id: 1422dbfb6bdad4215bdc70dea775917cf3159605f
Reviewed-on: https://review.typo3.0rg/28297

Reviewed-by: Ernesto Baschny
Tested-by: Ernesto Baschny

History

#1 - 2014-02-14 19:25 - Ernesto Baschny
- Category set to Extbase
- TYPOS3 Version set to 6.2

#2 - 2014-03-11 16:42 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28262

#3 - 2014-03-11 18:26 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28262

#4 - 2014-03-11 18:38 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28262

#5 - 2014-03-11 18:43 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28262

#6 - 2014-03-12 10:19 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28262

#7 - 2014-03-12 13:10 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28262

#8 - 2014-03-12 14:52 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28297
#9 - 2014-03-12 15:30 - Ernesto Baschny
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:57caf5a4d617d6906678fd715066cf669e89fa69.

#10 - 2014-03-19 09:40 - Felix Oertel

- Status changed from Resolved to Accepted

Just some tests were merged yet, Work is ongoing ...

#11 - 2014-06-27 08:21 - Felix Oertel

- Status changed from Accepted to Resolved
